************************************************************
      SUBROUTINE UGINIT
************************************************************
*
*     Initialize GEANT program and read data cards
*
************************************************************
*
*
*      IMPLICIT NONE
*
* *** Define the GEANT parameters
      CALL GINIT
*
* *** Own card's definition
*
* *** Read user  cards (called this way only for hedonism)
      CALL USECAR
*
* *** Read GEANT cards (see previous remark)
      CALL GEACAR
* 
* *** Read standard cards
      CALL LIXCAR
*
* *** Data structure initialisation
      CALL GZINIT
*
* *** Particle table initialization
      CALL GPART
*
* *** Standard Materials Initialization
      CALL GMATE
*
* *** Initialize graphics
      CALL GDINIT
*
* *** Geometry and material description
      CALL UGEOM
*
* *** Energy loss and cross-sections initializations
      CALL GPHYSI
*
* *** Print banks
      CALL GPRINT('MATE',0)
      CALL GPRINT('TMED',0)
      CALL GPRINT('VOLU',0)     
*
* *** Booking histograms
*
      CALL UHINIT
      END

**********************************************************************
*
      SUBROUTINE USECAR
*
**********************************************************************
*
* Read user cards.                                              
*
**********************************************************************

      IMPLICIT NONE

#include"meguse.inc"

      OPEN(5,FILE = 'caruse.dat',STATUS = 'OLD') 
        READ(5,*) IDRAW 
        READ(5,*) THEVIS
        READ(5,*) PHIVIS
        READ(5,*) IPAUSE
        READ(5,*) IHIT
        READ(5,*) IHID
        READ(5,*) IFIL
        READ(5,*) NPLOT
      CLOSE(5)

      RETURN
      END

**********************************************************************
*
      SUBROUTINE GEACAR
*
**********************************************************************
*
* Read GEANT cards
*
**********************************************************************
      IMPLICIT NONE
*
      OPEN(5,FILE = 'carmeg.dat',STATUS = 'OLD')
        CALL GFFGO
      CLOSE(5)
*
      RETURN
      END


